#include "VFControl_cal.h"
#include "VFControl.h"

/* Storage class 'PageSwitching' */
VFControl_cal_type VFControl_cal_impl = {
  /* Mask Parameter: DCVoltageSource_Amplitude
   * Referenced by: '<S39>/DC'
   */
  230.0,

  /* Mask Parameter: HarmonicAgeneration_Mag_Harmo
   * Referenced by: '<S52>/Phase_Harmo1'
   */
  5.0,

  /* Mask Parameter: HarmonicBgeneration_Mag_Harmo
   * Referenced by: '<S53>/Phase_Harmo1'
   */
  10.0,

  /* Mask Parameter: HarmonicAgeneration_Phase_Harmo
   * Referenced by: '<S52>/Phase_Harmo'
   */
  -25.0,

  /* Mask Parameter: HarmonicBgeneration_Phase_Harmo
   * Referenced by: '<S53>/Phase_Harmo'
   */
  35.0,

  /* Mask Parameter: HarmonicAgeneration_Seq_Harmo
   * Referenced by: '<S52>/Phase_Harmo2'
   */
  0.0,

  /* Mask Parameter: HarmonicBgeneration_Seq_Harmo
   * Referenced by: '<S53>/Phase_Harmo2'
   */
  2.0,

  /* Mask Parameter: Variationvaluesteprampmod_Toff_
   * Referenced by: '<S56>/Step1'
   */
  1.2,

  /* Mask Parameter: Variationvaluesteprampmod_Ton_V
   * Referenced by: '<S56>/Step'
   */
  0.2,

  /* Mask Parameter: Variationvaluesteprampmod_Varia
   * Referenced by: '<S56>/valp_nom9'
   */
  2.0,

  /* Mask Parameter: Variationvaluesteprampmod_Var_l
   * Referenced by: '<S56>/valp_nom8'
   */
  0.3,

  /* Mask Parameter: Variationvaluesteprampmod_Var_p
   * Referenced by: '<S56>/valp_nom7'
   */
  10.0,

  /* Mask Parameter: Variationvaluesteprampmod_Var_n
   * Referenced by: '<S56>/valp_nom6'
   */
  -0.5,

  /* Mask Parameter: CompareToConstant_const
   * Referenced by: '<S77>/Constant'
   */
  0.5,

  /* Mask Parameter: HarmonicAgeneration_n_Harmo
   * Referenced by: '<S52>/Gain1'
   */
  3.0,

  /* Mask Parameter: HarmonicBgeneration_n_Harmo
   * Referenced by: '<S53>/Gain1'
   */
  5.0,

  /* Expression: SM.Lsat(1)
   * Referenced by: '<S22>/Constant1'
   */
  0.0,

  /* Computed Parameter: Linv_Y0
   * Referenced by: '<S22>/Linv'
   */
  0.0,

  /* Computed Parameter: RLinv_Y0
   * Referenced by: '<S22>/R*Linv'
   */
  0.0,

  /* Computed Parameter: Lm_Y0
   * Referenced by: '<S22>/Lm'
   */
  0.0,

  /* Expression: [1/SM.Lls 1/SM.Llr]
   * Referenced by: '<S26>/u1'
   */
  { 78.981714938346315, 5.0436889038830692 },

  /* Expression: [ SM.Lls SM.Llr ]
   * Referenced by: '<S24>/u2'
   */
  { 0.012661158355204203, 0.19826758133914907 },

  /* Expression: SM.Lsat(1)
   * Referenced by: '<S22>/Delay'
   */
  0.0,

  /* Expression: [ 0 SM.Phisat(2:end)./SM.Lsat(2:end) ]
   * Referenced by: '<S22>/1-D Lookup Table'
   */
  { 0.0, 1.0 },

  /* Expression: SM.Phisat
   * Referenced by: '<S22>/1-D Lookup Table'
   */
  { 0.0, 1.0 },

  /* Expression: zeros(4,4)
   * Referenced by: '<S25>/u1'
   */
  { 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
    0.0 },

  /* Expression: SM.Ll
   * Referenced by: '<S25>/u5'
   */
  { 0.012661158355204203, 0.0, 0.0, 0.0, 0.0, 0.012661158355204203, 0.0, 0.0,
    0.0, 0.0, 0.19826758133914907, 0.0, 0.0, 0.0, 0.0, 0.19826758133914907 },

  /* Expression: SM.R
   * Referenced by: '<S22>/u1'
   */
  { 0.0688185, 0.0, 0.0, 0.0, 0.0, 0.0688185, 0.0, 0.0, 0.0, 0.0,
    0.072162562500000013, 0.0, 0.0, 0.0, 0.0, 0.072162562500000013 },

  /* Expression: SM.Lm
   * Referenced by: '<S16>/Lm_nosat'
   */
  1.2824177561494388,

  /* Expression: SM.Linv
   * Referenced by: '<S16>/Constant2'
   */
  { 5.4235758573462949, 0.0, -4.6973450774364212, -0.0, 0.0, 5.4235758573462949,
    0.0, -4.6973450774364212, -4.6973450774364212, 0.0, 4.7437214080738226, -0.0,
    -0.0, -4.6973450774364212, -0.0, 4.7437214080738226 },

  /* Expression: SM.RLinv
   * Referenced by: '<S16>/Constant4'
   */
  { 0.373242355138786, 0.0, -0.33897245773457313, 0.0, 0.0, 0.373242355138786,
    0.0, -0.33897245773457313, -0.32326424221155836, 0.0, 0.34231909259271531,
    0.0, 0.0, -0.32326424221155836, 0.0, 0.34231909259271531 },

  /* Expression: SM.ensat
   * Referenced by: '<S16>/Constant3'
   */
  0.0,

  /* Expression: 0.5
   * Referenced by: '<S16>/Switch1'
   */
  0.5,

  /* Expression: SM.ctrl
   * Referenced by: '<S19>/Constant4'
   */
  1.0,

  /* Expression: SM.web*Ts/2
   * Referenced by: '<S27>/wbase*Ts//2'
   */
  0.015707963267948967,

  /* Expression: eye(4,4)
   * Referenced by: '<S27>/u5'
   */
  { 1.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0,
    1.0 },

  /* Expression: SM.web*Ts/2
   * Referenced by: '<S27>/wbase*Ts//2 '
   */
  0.015707963267948967,

  /* Expression: 0
   * Referenced by: '<S28>/vqr,vdr'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S28>/vqs,vds'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S29>/vqr,vdr'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S29>/vqs,vds'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S30>/vqr,vdr'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S30>/vqs,vds'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S32>/ira,irb'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S32>/isa,isb'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S33>/ira,irb'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S33>/isa,isb'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S34>/ira,irb'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S34>/isa,isb'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S35>/sin(beta),cos(beta), sin(th),cos(th)'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S35>/W'
   */
  0.0,

  /* Expression: 1
   * Referenced by: '<S35>/we'
   */
  1.0,

  /* Expression: -1
   * Referenced by: '<S35>/Gain2'
   */
  -1.0,

  /* Expression: SM.web
   * Referenced by: '<S35>/web_psb'
   */
  314.15926535897933,

  /* Expression: [ 0 1  0  0; -1  0  0  0;  0  0  0  0;  0  0  0  0]
   * Referenced by: '<S35>/u3'
   */
  { 0.0, -1.0, 0.0, 0.0, 1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
    0.0 },

  /* Expression: 0
   * Referenced by: '<S36>/sin(thr),cos(thr)'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S36>/W'
   */
  0.0,

  /* Expression: [0; 0]
   * Referenced by: '<S36>/Constant'
   */
  { 0.0, 0.0 },

  /* Expression: -1
   * Referenced by: '<S36>/Gain1'
   */
  -1.0,

  /* Expression: zeros(4,4)
   * Referenced by: '<S36>/u1'
   */
  { 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
    0.0 },

  /* Expression: 0
   * Referenced by: '<S37>/sin(thr),cos(thr)'
   */
  0.0,

  /* Computed Parameter: W_Y0_o
   * Referenced by: '<S37>/W'
   */
  0.0,

  /* Expression: [0; 0]
   * Referenced by: '<S37>/Constant'
   */
  { 0.0, 0.0 },

  /* Expression: -1
   * Referenced by: '<S37>/Gain3'
   */
  -1.0,

  /* Expression: zeros(4,4)
   * Referenced by: '<S37>/u4'
   */
  { 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0,
    0.0 },

  /* Expression: [0 0 0]
   * Referenced by: '<S52>/Zero-sequence'
   */
  { 0.0, 0.0, 0.0 },

  /* Expression: [0 -2*pi/3 2*pi/3]
   * Referenced by: '<S52>/Positive-sequence'
   */
  { 0.0, -2.0943951023931953, 2.0943951023931953 },

  /* Expression: [0 2*pi/3 -2*pi/3]
   * Referenced by: '<S52>/Negative-sequence'
   */
  { 0.0, 2.0943951023931953, -2.0943951023931953 },

  /* Expression: [0 0 0]
   * Referenced by: '<S53>/Zero-sequence'
   */
  { 0.0, 0.0, 0.0 },

  /* Expression: [0 -2*pi/3 2*pi/3]
   * Referenced by: '<S53>/Positive-sequence'
   */
  { 0.0, -2.0943951023931953, 2.0943951023931953 },

  /* Expression: [0 2*pi/3 -2*pi/3]
   * Referenced by: '<S53>/Negative-sequence'
   */
  { 0.0, 2.0943951023931953, -2.0943951023931953 },

  /* Expression: pi/180
   * Referenced by: '<S54>/Gain3'
   */
  0.017453292519943295,

  /* Expression: pi/180
   * Referenced by: '<S45>/Gain4'
   */
  0.017453292519943295,

  /* Expression: 2*pi
   * Referenced by: '<S56>/Gain1'
   */
  6.2831853071795862,

  /* Expression: 0
   * Referenced by: '<S56>/Constant4'
   */
  0.0,

  /* Expression: 1./Ron
   * Referenced by: '<S84>/1//Rsw'
   */
  1000.0,

  /* Expression: 0
   * Referenced by: '<S84>/0 4'
   */
  0.0,

  /* Expression: 1./Ron
   * Referenced by: '<S86>/1//Rsw'
   */
  1000.0,

  /* Expression: 0
   * Referenced by: '<S86>/0 4'
   */
  0.0,

  /* Expression: 1./Ron
   * Referenced by: '<S88>/1//Rsw'
   */
  1000.0,

  /* Expression: 0
   * Referenced by: '<S88>/0 4'
   */
  0.0,

  /* Expression: 1./Ron
   * Referenced by: '<S90>/1//Rsw'
   */
  1000.0,

  /* Expression: 0
   * Referenced by: '<S90>/0 4'
   */
  0.0,

  /* Expression: 1./Ron
   * Referenced by: '<S92>/1//Rsw'
   */
  1000.0,

  /* Expression: 0
   * Referenced by: '<S92>/0 4'
   */
  0.0,

  /* Expression: 1./Ron
   * Referenced by: '<S94>/1//Rsw'
   */
  1000.0,

  /* Expression: 0
   * Referenced by: '<S94>/0 4'
   */
  0.0,

  /* Expression: zeros(6,1)
   * Referenced by: '<S98>/SwitchCurrents'
   */
  { 0.0, 0.0, 0.0, 0.0, 0.0, 0.0 },

  /* Expression: SM.ctrl
   * Referenced by: '<S18>/Constant3'
   */
  1.0,

  /* Expression: SM.phiqd0
   * Referenced by: '<S23>/fluxes'
   */
  { 0.0, 0.0, 0.0, 0.0 },

  /* Expression: 2
   * Referenced by: '<S21>/Gain'
   */
  2.0,

  /* Expression: SM.phiqd0
   * Referenced by: '<S21>/fluxes'
   */
  { 0.0, 0.0, 0.0, 0.0 },

  /* Expression: SM.ensat
   * Referenced by: '<S16>/Constant'
   */
  0.0,

  /* Expression: SM.ensat
   * Referenced by: '<S16>/Constant1'
   */
  0.0,

  /* Expression: 0.5
   * Referenced by: '<S16>/Switch'
   */
  0.5,

  /* Expression: SM.ctrl
   * Referenced by: '<S19>/Constant2'
   */
  1.0,

  /* Computed Parameter: Rotoranglethetam_gainval
   * Referenced by: '<S15>/Rotor angle thetam'
   */
  0.0001,

  /* Expression: SM.tho
   * Referenced by: '<S15>/Rotor angle thetam'
   */
  0.0,

  /* Expression: SM.wmo
   * Referenced by: '<S38>/wm_delay'
   */
  1.0,

  /* Expression: 2
   * Referenced by: '<S38>/F2'
   */
  2.0,

  /* Expression: SM.wmo
   * Referenced by: '<S38>/wm_predict'
   */
  1.0,

  /* Expression: SM.ctrl
   * Referenced by: '<S18>/Constant4'
   */
  1.0,

  /* Expression: SM.ib
   * Referenced by: '<S18>/ib'
   */
  37.660904795291366,

  /* Expression: SM.Gain_Vr_Vs
   * Referenced by: '<S13>/Gain Vr_Vs1'
   */
  { 1.0, 1.0 },

  /* Expression: S.D
   * Referenced by: '<S96>/State-Space'
   */
  { -500000.0, 500000.0, 0.0, 0.0, 0.0, 0.0, 500000.0, 0.0, 500000.0, 0.0,
    -500000.0, 0.0, 0.0, 0.0, 500000.0, -500000.0, 0.0, 0.0, 0.0, 0.0, -500000.0,
    0.0, -500000.0, 0.0, 500000.0, 0.0, 0.0, 0.0, 0.0, 0.0, -500000.0, 500000.0,
    0.0, 0.0, -500000.0, 500000.0, -500000.0, 500000.0, 0.0, 0.0, 0.0, 0.0, 0.0,
    0.0, 500000.0, -500000.0, 0.0, 0.0, 500000.0, -500000.0, 500000.0, -500000.0,
    0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, -500000.0, 500000.0, 0.0, -500000.0,
    0.0, -500000.0, 500000.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 500000.0,
    -500000.0, 0.0, 500000.0, 0.0, 500000.0, -500000.0, 0.0, 0.0, 0.0, 500000.0,
    -500000.0, 0.0, 0.0, -500000.0, 500000.0, -500000.0, -500000.0, -500000.0,
    -500000.0, 1.0E+6, 1.0, 0.0, -1.0, 0.0, 0.0, 500000.0, -500000.0, -500000.0,
    500000.0, 500000.0, -1.0E+6, 500000.0, -1.0E+6, 500000.0, 0.0, 1.0, -1.0,
    0.5, 0.5, 0.5, 0.5, 0.5, 0.5, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0 },

  /* Expression: SM.ensat
   * Referenced by: '<S16>/Constant5'
   */
  0.0,

  /* Expression: [1 -1]
   * Referenced by: '<S20>/1-1'
   */
  { 1.0, -1.0 },

  /* Expression: 0.5
   * Referenced by: '<S16>/Switch2'
   */
  0.5,

  /* Expression: SM.ctrl
   * Referenced by: '<S17>/Constant4'
   */
  1.0,

  /* Expression: [0;0]
   * Referenced by: '<S31>/Constant6'
   */
  { 0.0, 0.0 },

  /* Expression: SM.Gain_Vr_Vs
   * Referenced by: '<S13>/Gain Vr_Vs'
   */
  { 1.0, 1.0 },

  /* Expression: 1/SM.Vb
   * Referenced by: '<S17>/1_Vb'
   */
  0.0030618621784789728,

  /* Expression: SM.ctrl
   * Referenced by: '<S17>/Constant3'
   */
  1.0,

  /* Expression: 0
   * Referenced by: '<S23>/voltages'
   */
  0.0,

  /* Expression: Ts
   * Referenced by: '<S23>/IC'
   */
  0.0001,

  /* Expression: [SM.ib2*SM.kIr*ones(5,1); SM.phib2*SM.kVr; SM.phib2*SM.kVr; SM.Vb2*SM.kVr; SM.Vb2*SM.kVr ; SM.ib2*ones(5,1); SM.phib2; SM.phib2; SM.Vb2; SM.Vb2; SM.phib2/SM.ib2]
   * Referenced by: '<S13>/unit conversion'
   */
  { 37.660904795291366, 37.660904795291366, 37.660904795291366,
    37.660904795291366, 37.660904795291366, 1.0395957349782348,
    1.0395957349782348, 326.59863237109039, 326.59863237109039,
    37.660904795291366, 37.660904795291366, 37.660904795291366,
    37.660904795291366, 37.660904795291366, 1.0395957349782348,
    1.0395957349782348, 326.59863237109039, 326.59863237109039,
    0.027604109370952035 },

  /* Expression: 1/SM.p
   * Referenced by: '<S15>/1\p'
   */
  0.5,

  /* Expression: [SM.Nb2;SM.Tb2;1]
   * Referenced by: '<S15>/1\p1'
   */
  { 157.07963267948966, 117.45634800181875, 1.0 },

  /* Expression: 1/SM.Tb2
   * Referenced by: '<S15>/Unit conversion'
   */
  0.0085138012292406331,

  /* Expression: SM.F
   * Referenced by: '<S15>/F'
   */
  0.0078622499016266032,

  /* Expression: 1/(2*SM.H)
   * Referenced by: '<S15>/1_2H'
   */
  14.955006705609055,

  /* Computed Parameter: Rotorspeedwm_gainval
   * Referenced by: '<S15>/Rotor speed(wm)'
   */
  5.0E-5,

  /* Expression: SM.wmo
   * Referenced by: '<S15>/Rotor speed(wm)'
   */
  1.0,

  /* Expression: SM.web
   * Referenced by: '<S15>/web_psb'
   */
  314.15926535897933,

  /* Expression: sps.tv
   * Referenced by: '<S57>/Look-Up Table'
   */
  { 0.0, 0.099900000000000017, 0.099900000000000017, 0.14990000000000003,
    0.14990000000000003, 0.19990000000000005, 0.19990000000000005, 1.1999 },

  /* Expression: sps.opv
   * Referenced by: '<S57>/Look-Up Table'
   */
  { 1.0, 1.0, 0.2, 0.2, 1.2, 1.2, 1.0, 1.0 },

  /* Expression: sps.VariationType
   * Referenced by: '<S49>/valp_nom1'
   */
  2.0,

  /* Expression: 4
   * Referenced by: '<S49>/Constant6'
   */
  4.0,

  /* Expression: sps.VariationEntity
   * Referenced by: '<S46>/valp_nom3'
   */
  1.0,

  /* Expression: 2
   * Referenced by: '<S46>/Constant'
   */
  2.0,

  /* Expression: 0
   * Referenced by: '<S56>/Constant1'
   */
  0.0,

  /* Expression: 1
   * Referenced by: '<S56>/Step1'
   */
  1.0,

  /* Expression: 0
   * Referenced by: '<S56>/Step1'
   */
  0.0,

  /* Expression: sps.VariationType
   * Referenced by: '<S47>/valp_nom5'
   */
  2.0,

  /* Expression: 1
   * Referenced by: '<S56>/Constant3'
   */
  1.0,

  /* Expression: 0
   * Referenced by: '<S56>/Step'
   */
  0.0,

  /* Expression: 1
   * Referenced by: '<S56>/Step'
   */
  1.0,

  /* Computed Parameter: DiscreteTimeIntegrator1_gainval
   * Referenced by: '<S47>/Discrete-Time Integrator1'
   */
  0.0001,

  /* Expression: 0
   * Referenced by: '<S47>/Discrete-Time Integrator1'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S56>/Constant5'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<S47>/Unit Delay1'
   */
  0.0,

  /* Expression: 0.5
   * Referenced by: '<S56>/Switch2'
   */
  0.5,

  /* Expression: 0
   * Referenced by: '<S41>/Constant1'
   */
  0.0,

  /* Expression: sps.Mag_Vps
   * Referenced by: '<S41>/valp_nom2'
   */
  230.0,

  /* Expression: sps.SinglePhase
   * Referenced by: '<S50>/SinglePhase'
   */
  1.0,

  /* Expression: 0.5
   * Referenced by: '<S50>/Switch5'
   */
  0.5,

  /* Expression: sps.Freq_Vps
   * Referenced by: '<S42>/valp_nom1'
   */
  50.0,

  /* Expression: 2*pi
   * Referenced by: '<S42>/Gain'
   */
  6.2831853071795862,

  /* Computed Parameter: DiscreteTimeIntegrator_gainval
   * Referenced by: '<S42>/Discrete-Time Integrator'
   */
  0.0001,

  /* Expression: 0
   * Referenced by: '<S42>/Discrete-Time Integrator'
   */
  0.0,

  /* Expression: [0  -2*pi/3  2*pi/3]
   * Referenced by: '<S54>/P1'
   */
  { 0.0, -2.0943951023931953, 2.0943951023931953 },

  /* Expression: sps.VariationType
   * Referenced by: '<S54>/valp_nom1'
   */
  2.0,

  /* Expression: 4
   * Referenced by: '<S54>/Constant6'
   */
  4.0,

  /* Expression: 3
   * Referenced by: '<S46>/Constant2'
   */
  3.0,

  /* Expression: sps.Phase_Vps
   * Referenced by: '<S45>/valp_nom'
   */
  0.0,

  /* Expression: pi/180
   * Referenced by: '<S45>/Gain3'
   */
  0.017453292519943295,

  /* Expression: [0  -2*pi/3  2*pi/3]
   * Referenced by: '<S45>/P1'
   */
  { 0.0, -2.0943951023931953, 2.0943951023931953 },

  /* Expression: 0
   * Referenced by: '<S45>/Constant4'
   */
  0.0,

  /* Expression: sps.SinglePhase
   * Referenced by: '<S55>/SinglePhase'
   */
  1.0,

  /* Expression: 0.5
   * Referenced by: '<S55>/Switch5'
   */
  0.5,

  /* Expression: sps.Ton_Harmo
   * Referenced by: '<S51>/Step'
   */
  0.05,

  /* Expression: 0
   * Referenced by: '<S51>/Step'
   */
  0.0,

  /* Expression: 1
   * Referenced by: '<S51>/Step'
   */
  1.0,

  /* Expression: sps.Toff_Harmo
   * Referenced by: '<S51>/Step1'
   */
  99.0,

  /* Expression: 0
   * Referenced by: '<S51>/Step1'
   */
  0.0,

  /* Expression: -1
   * Referenced by: '<S51>/Step1'
   */
  -1.0,

  /* Expression: sps.HarmonicGeneration
   * Referenced by: '<S51>/valp_nom7'
   */
  0.0,

  /* Expression: pi/180
   * Referenced by: '<S52>/Gain3'
   */
  0.017453292519943295,

  /* Expression: 1
   * Referenced by: '<S52>/valp_nom2'
   */
  1.0,

  /* Expression: pi/180
   * Referenced by: '<S53>/Gain3'
   */
  0.017453292519943295,

  /* Expression: 1
   * Referenced by: '<S53>/valp_nom2'
   */
  1.0,

  /* Expression: sps.Delay
   * Referenced by: '<S73>/Constant3'
   */
  0.0,

  /* Expression: sps.Period
   * Referenced by: '<S73>/Constant4'
   */
  0.001,

  /* Expression: sps.Freq
   * Referenced by: '<S73>/1\ib1'
   */
  1000.0,

  /* Expression: [0 2 0]
   * Referenced by: '<S73>/1-D Lookup Table'
   */
  { 0.0, 2.0, 0.0 },

  /* Expression: [0 .5 1]
   * Referenced by: '<S73>/1-D Lookup Table'
   */
  { 0.0, 0.5, 1.0 },

  /* Expression: 1
   * Referenced by: '<S73>/Constant2'
   */
  1.0,

  /* Expression: 230
   * Referenced by: '<Root>/Constant'
   */
  230.0,

  /* Expression: sps.Delay
   * Referenced by: '<S74>/Constant3'
   */
  5.81775E-6,

  /* Expression: sps.Period
   * Referenced by: '<S74>/Constant1'
   */
  0.001,

  /* Expression: sps.Freq
   * Referenced by: '<S74>/1\ib1'
   */
  1000.0,

  /* Expression: [0 2 0]
   * Referenced by: '<S74>/1-D Lookup Table'
   */
  { 0.0, 2.0, 0.0 },

  /* Expression: [0 .5 1]
   * Referenced by: '<S74>/1-D Lookup Table'
   */
  { 0.0, 0.5, 1.0 },

  /* Expression: 1
   * Referenced by: '<S74>/Constant2'
   */
  1.0,

  /* Expression: 230
   * Referenced by: '<Root>/Constant1'
   */
  230.0,

  /* Expression: sps.Delay
   * Referenced by: '<S75>/Constant3'
   */
  1.163552777777778E-5,

  /* Expression: sps.Period
   * Referenced by: '<S75>/Constant1'
   */
  0.001,

  /* Expression: sps.Freq
   * Referenced by: '<S75>/1\ib1'
   */
  1000.0,

  /* Expression: [0 2 0]
   * Referenced by: '<S75>/1-D Lookup Table'
   */
  { 0.0, 2.0, 0.0 },

  /* Expression: [0 .5 1]
   * Referenced by: '<S75>/1-D Lookup Table'
   */
  { 0.0, 0.5, 1.0 },

  /* Expression: 1
   * Referenced by: '<S75>/Constant2'
   */
  1.0,

  /* Expression: 230
   * Referenced by: '<Root>/Constant2'
   */
  230.0,

  /* Expression: 1e-6
   * Referenced by: '<S3>/Transport Delay'
   */
  1.0E-6,

  /* Expression: 0
   * Referenced by: '<S3>/Transport Delay'
   */
  0.0,

  /* Expression: 1e-6
   * Referenced by: '<S4>/Transport Delay'
   */
  1.0E-6,

  /* Expression: 0
   * Referenced by: '<S4>/Transport Delay'
   */
  0.0,

  /* Expression: 1e-6
   * Referenced by: '<S5>/Transport Delay'
   */
  1.0E-6,

  /* Expression: 0
   * Referenced by: '<S5>/Transport Delay'
   */
  0.0,

  /* Computed Parameter: Digitaloutput1_P1_Size
   * Referenced by: '<Root>/Digital output1'
   */
  { 1.0, 1.0 },

  /* Expression: id
   * Referenced by: '<Root>/Digital output1'
   */
  1.0,

  /* Computed Parameter: Digitaloutput1_P2_Size
   * Referenced by: '<Root>/Digital output1'
   */
  { 1.0, 3.0 },

  /* Expression: chan
   * Referenced by: '<Root>/Digital output1'
   */
  { 2.0, 5.0, 7.0 },

  /* Computed Parameter: Digitaloutput1_P3_Size
   * Referenced by: '<Root>/Digital output1'
   */
  { 1.0, 1.0 },

  /* Expression: vectorizeInput
   * Referenced by: '<Root>/Digital output1'
   */
  0.0,

  /* Computed Parameter: Digitaloutput1_P4_Size
   * Referenced by: '<Root>/Digital output1'
   */
  { 1.0, 3.0 },

  /* Expression: reset
   * Referenced by: '<Root>/Digital output1'
   */
  { 1.0, 1.0, 1.0 },

  /* Computed Parameter: Digitaloutput1_P5_Size
   * Referenced by: '<Root>/Digital output1'
   */
  { 1.0, 3.0 },

  /* Expression: init
   * Referenced by: '<Root>/Digital output1'
   */
  { 0.0, 0.0, 0.0 },

  /* Computed Parameter: Digitaloutput1_P6_Size
   * Referenced by: '<Root>/Digital output1'
   */
  { 1.0, 1.0 },

  /* Expression: ts
   * Referenced by: '<Root>/Digital output1'
   */
  -1.0,

  /* Computed Parameter: Digitaloutput2_P1_Size
   * Referenced by: '<Root>/Digital output2'
   */
  { 1.0, 1.0 },

  /* Expression: id
   * Referenced by: '<Root>/Digital output2'
   */
  1.0,

  /* Computed Parameter: Digitaloutput2_P2_Size
   * Referenced by: '<Root>/Digital output2'
   */
  { 1.0, 3.0 },

  /* Expression: chan
   * Referenced by: '<Root>/Digital output2'
   */
  { 1.0, 4.0, 6.0 },

  /* Computed Parameter: Digitaloutput2_P3_Size
   * Referenced by: '<Root>/Digital output2'
   */
  { 1.0, 1.0 },

  /* Expression: vectorizeInput
   * Referenced by: '<Root>/Digital output2'
   */
  0.0,

  /* Computed Parameter: Digitaloutput2_P4_Size
   * Referenced by: '<Root>/Digital output2'
   */
  { 1.0, 3.0 },

  /* Expression: reset
   * Referenced by: '<Root>/Digital output2'
   */
  { 1.0, 1.0, 1.0 },

  /* Computed Parameter: Digitaloutput2_P5_Size
   * Referenced by: '<Root>/Digital output2'
   */
  { 1.0, 3.0 },

  /* Expression: init
   * Referenced by: '<Root>/Digital output2'
   */
  { 0.0, 0.0, 0.0 },

  /* Computed Parameter: Digitaloutput2_P6_Size
   * Referenced by: '<Root>/Digital output2'
   */
  { 1.0, 1.0 },

  /* Expression: ts
   * Referenced by: '<Root>/Digital output2'
   */
  -1.0,

  /* Expression: 0.5
   * Referenced by: '<S84>/Switch'
   */
  0.5,

  /* Expression: 1
   * Referenced by: '<S76>/Saturation'
   */
  1.0,

  /* Expression: 0
   * Referenced by: '<S76>/Saturation'
   */
  0.0,

  /* Expression: 0
   * Referenced by: '<Root>/Constant6'
   */
  0.0,

  /* Expression: 0.5
   * Referenced by: '<S86>/Switch'
   */
  0.5,

  /* Expression: 0.5
   * Referenced by: '<S88>/Switch'
   */
  0.5,

  /* Expression: 0.5
   * Referenced by: '<S90>/Switch'
   */
  0.5,

  /* Expression: 0.5
   * Referenced by: '<S92>/Switch'
   */
  0.5,

  /* Expression: 0.5
   * Referenced by: '<S94>/Switch'
   */
  0.5,

  /* Expression: -1
   * Referenced by: '<S3>/Constant'
   */
  -1.0,

  /* Expression: -1
   * Referenced by: '<S4>/Constant'
   */
  -1.0,

  /* Expression: -1
   * Referenced by: '<S5>/Constant'
   */
  -1.0,

  /* Expression: 0
   * Referenced by: '<S42>/Constant5'
   */
  0.0,

  /* Expression: 4
   * Referenced by: '<S46>/Constant3'
   */
  4.0,

  /* Expression: 2*pi
   * Referenced by: '<S42>/Gain2'
   */
  6.2831853071795862,

  /* Expression: 180/pi
   * Referenced by: '<S40>/Gain3'
   */
  57.295779513082323,

  /* Expression: 2*pi
   * Referenced by: '<S44>/Constant7'
   */
  6.2831853071795862,

  /* Expression: 2
   * Referenced by: '<S56>/Constant'
   */
  2.0,

  /* Expression: 1
   * Referenced by: '<S56>/Constant2'
   */
  1.0,

  /* Expression: 0.5
   * Referenced by: '<S56>/Switch'
   */
  0.5,

  /* Expression: 1
   * Referenced by: '<S64>/do not delete this gain'
   */
  1.0,

  /* Expression: 1
   * Referenced by: '<S65>/do not delete this gain'
   */
  1.0,

  /* Expression: 1
   * Referenced by: '<S66>/do not delete this gain'
   */
  1.0,

  /* Expression: Kv
   * Referenced by: '<S7>/Kv1'
   */
  1.0,

  /* Expression: 1
   * Referenced by: '<S61>/do not delete this gain'
   */
  1.0,

  /* Expression: 1
   * Referenced by: '<S62>/do not delete this gain'
   */
  1.0,

  /* Expression: 1
   * Referenced by: '<S63>/do not delete this gain'
   */
  1.0,

  /* Expression: Ki
   * Referenced by: '<S7>/Kv'
   */
  1.0,

  /* Expression: 0
   * Referenced by: '<S73>/Unit Delay'
   */
  0.0,

  /* Expression: SM.ctrl==1
   * Referenced by: '<S19>/Constant'
   */
  true,

  /* Expression: SM.ctrl==2
   * Referenced by: '<S19>/Constant1'
   */
  false,

  /* Expression: SM.ctrl==3
   * Referenced by: '<S19>/Constant3'
   */
  false,

  /* Expression: SM.ctrl==1
   * Referenced by: '<S18>/Constant'
   */
  true,

  /* Expression: SM.ctrl==2
   * Referenced by: '<S18>/Constant1'
   */
  false,

  /* Expression: SM.ctrl==3
   * Referenced by: '<S18>/Constant2'
   */
  false,

  /* Expression: SM.ctrl==1
   * Referenced by: '<S17>/Constant'
   */
  true,

  /* Expression: SM.ctrl==2
   * Referenced by: '<S17>/Constant1'
   */
  false,

  /* Expression: SM.ctrl==3
   * Referenced by: '<S17>/Constant2'
   */
  false
};

VFControl_cal_type *VFControl_cal = &VFControl_cal_impl;
